# ww3

Download records for a single point from the WaveWatch III WW3 global wave model.

## installation

```
conda install -c anaconda netcdf4
conda install -c conda-forge xarray
```

## WaveWatch III parameters
| Name  | Description  |
|-------|--------------|
| `longitude` | |
| `latitude` | |
| `time` | |
| `MAPSTA` | status map |
| `U10` | eastward wind |
| `V10` | northward wind |
| `CI` | sea ice area fraction |
| `hs` | significant wave height |
| `wl` | mean wave length |
| `t02` | mean wave period Tm02 |
| `t` | mean period Tm01 |
| `tm0m1` |mean period Tm0-1 |
| `CgE` | wave energy flux |
| `fp` | peak wave frequency |
| `dir` | mean wave direction |
| `spr` | directional spread |
| `dp` | peak direction |
| `hs0` | significant wave height partition 0 |
| `hs1` | significant wave height partition 1 |
| `hs2` | significant wave height partition 2 |
| `hs3` | significant wave height partition 3 |
| `tp0` | peak period partition 0 |
| `tp1` | peak period partition 1 |
| `tp2` | peak period partition 2|
| `tp3` | peak period partition 3 |
| `lp0` | mean wave length partition 0 |
| `lp1` | mean wave length partition 1 |
| `lp2` | mean wave length partition 2 |
| `lp3` | mean wave length partitions 3 |
| `th0` | mean wave direction partition 0 |
| `th1` | mean wave direction partition 1 |
| `th2` | mean wave direction partition 2 |
| `th3` | mean wave direction partition 3 |
| `si0` | directional spread partition 0 |
| `si1` | directional spread partition 1 |
| `si2` | directional spread partition 2 |
| `si3` | directional spread partition 3 |
| `ws0` | wind sea fraction partition 0 |
| `ws1` | wind sea fraction partition 1 |
| `ws2` | wind sea fraction partition 2 |
| `ws3` | wind sea fraction partition 3  |
| `wsf` | wind sea fraction |
| `pnr` | number of wave partitions |
| `dtd` | dynamic time step |
| `uust` | eastward friction velocities |
| `vust` | northward friction velocities |
| `cha` | Charnock coefficient |
| `faw` | wind to wave energy flux |
| `utaw` | eastward wave supported wind stress |
| `vtaw` | northward wave supported wind stress |
| `utwa` | eastward wave to wind stress |
| `vtwa` | northward wave to wind stress |
| `wcc` | whitecap coverage |
| `Sxx` | xx radiation stress component |
| `Syy` | yy radiation stress component |
| `Sxy` | xz radiation stress component |
| `utwo` | eastward wave to ocean stress |
| `vtwo` | northward wave to ocean stress |
| `uuss` | eastward surface stokes drift |
| `vuss` | northward surface stokes drift |
